Skip to content

Get a list of simple application information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get a list of simple application information

Method name

ManagementClient.list_application_simple_info

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
isIntegrateAppbooleanNo-Is it an integrated application?
isSelfBuiltAppbooleanNo-Is it a self-built application?
ssoEnabledbooleanNo-Is single sign-on enabled?
keywordsstringNo-Fuzzy search stringtest

Request Response

Type: ApplicationSimpleInfoPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ApplicationSimpleInfoPaginatedDataDtoresponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "appId": "62eaa95fe0xxxx9a5295bf7c",
      "appIdentifier": "example",
      "appName": "xx",
      "appLogo": "xxxxx",
      "appDescription": "xxxxxxx",
      "appType": "web"
    },
    "totalCount": 10
  }
}

Data Structure

ApplicationSimpleInfoPaginatedDataDto

NameTypeRequiredDescriptionSample value
listarrayYesList data Nested type: <a ApplicationSimpleInfoDto.
totalCountnumberYesTotal number of records10

ApplicationSimpleInfoDto

NameTypeIs it required?DescriptionExample value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringYesApplication unique identifierexample
appNamestringYesApplication nameExample application
appLogostringYesApplication logo linkExample application
appDescriptionstringNoApplication descriptionExample description
appTypestringYesApplication typeweb
isIntegrateAppbooleanYesIs it an integrated application?

Agent infrastructure for identity, memory, and web action.